%define use_xmms 1

Name:		logjam
Version:	4.5.3
Release:	2%{?dist}
Epoch:		1
Summary:	GTK2 client for LiveJournal
License:	GPL
Group:		User Interface/Desktops
URL:		http://logjam.danga.com/
Source0:	http://logjam.danga.com/download/logjam-%{version}.tar.bz2
Requires:	curl >= 7.9, gtkspell
%if %{use_xmms}
BuildRequires:	xmms-devel
%endif
BuildRequires:	curl-devel, gtk2-devel, gtkspell-devel, gtkhtml3-devel
BuildRequires:	gettext, desktop-file-utils, aspell-devel, librsvg2-devel
BuildRequires:	libsoup-devel, gnutls-devel, libgcrypt-devel
Obsoletes:	loserjabber, logjam-gnome
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch2:		logjam-4.4.1-backdated.patch
Patch3:		logjam-4.4.1-cleanups.patch
Patch4:		logjam-4.4.1-fedora-desktop.patch
Patch5:		logjam-4.5-patch8-manfix.patch
Patch6:		logjam-4.5.2-gtkhtml38.patch
Patch7:		logjam-4.4.1-ru.po.asp.patch

%description
This is the new GTK2 client for LiveJournal (http://www.livejournal.com).

%if %{use_xmms}
%package xmms
Summary:	LogJam helper binary
Group:		User Interface/Desktops
Requires:	logjam, xmms
BuildRequires:	xmms-devel

%description xmms
This is a helper binary for LogJam which is used to get the
current music from XMMS.
%endif

%prep
%setup -q
%patch2 -p1 -b .backdated
%patch3 -p1 -b .cleanups
%patch4 -p1 -b .desktop
%patch5 -p1 -b .manfix
%patch6 -p1 -b .gtkhtml38
%patch7 -p1 -b .ru.po

%build
autoconf
%configure \
%if %{use_xmms}
	--with-xmms
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}
desktop-file-install --vendor fedora                    \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
  --add-category X-Fedora                               \
  --delete-original					\
  $RPM_BUILD_ROOT/%{_datadir}/applications/logjam.desktop

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/README COPYING doc/TODO
%{_bindir}/logjam
%{_mandir}/man1/logjam.1.gz
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/logjam*

%if %{use_xmms}
%files xmms
%{_bindir}/logjam-xmms-client
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar  7 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1:4.5.3-2
- update russian translations, bz 183619

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1:4.5.3-1
- bump to 4.5.3

* Thu Jan  5 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1:4.5.2-1
- bump to 4.5.2

* Tue Sep  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1:4.5.1-5
- add BR: libgcrypt-devel

* Tue Sep  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1:4.5.1-4
- add BR: gnutls-devel

* Tue Sep  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1:4.5.1-3
- fc3 branch missing another patch

* Tue Sep  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1:4.5.1-2
- fc3 branch missing a patch

* Tue Sep  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1:4.5.1-1
- bump to 4.5.1

* Mon Jul 11 2005 Tom "spot" Callaway <tcallawa@redhat.com> 4.5-0.1patch8
- bump to patch8

* Thu Apr 14 2005 Tom "spot" Callaway <tcallawa@redhat.com> 4.4.1-8
- actually apply patch. :P

* Thu Apr 14 2005 Tom "spot" Callaway <tcallawa@redhat.com> 4.4.1-7
- touch up package included .desktop file and use it.

* Wed Apr  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 4.4.1-6
- Fix dual .desktop file issue

* Fri Mar 13 2005 Tom "spot" Callaway <tcallawa@redhat.com> 4.4.1-5
- Cleanups for compiler errors brought to light in Bugzilla 149865
- Change X-Fedora-Extras to X-Fedora

* Fri Feb 25 2005 Tom "spot" Callaway <tcallawa@redhat.com> 4.4.1-4
- Rebuilt for FC4/devel
- Replace Gtkhtml 3.1 patch with Gtkhtml 3.6 patch

* Thu Feb 10 2005 Tom "spot" Callaway <tcallawa@redhat.com> 4.4.1-3
- Bump to current version
- Compile fix patch is obsoleted
- Gtkhtml 3.1 patch changed for 4.4.1
- Adopt some changes from Kir Kolyshkin's package
  - Make xmms subpackage, with use_xmms conditional
  - Fix a segfault triggered by pressing "Copy URL" button in offline browser
  - Fix Russian localization
  - Adds support for Backdated: yes option in an offline logjam post file.
- BuildRequires: gettext, not gettext-devel

* Wed Feb  9 2005 Tom "spot" Callaway <tcallawa@redhat.com> 4.4.0-4
- use make, not %__make
- no need to export CFLAGS first
- BuildRequires aspell-devel, desktop-file-utils
- change PreReq to Requires
- delete $RPM_BUILD_ROOT first
- use desktop-file-install to install logjam.desktop
- nuke Vendor and Packager lines
- add patch to look for gtkhtml3.1
- modify logjam.desktop to refer to X-Fedora-Extras
- add Comment and GenericName to logjam.desktop
- change Group to User Interface/Desktops

* Thu Feb  3 2005 Tom "spot" Callaway <tcallawa@redhat.com>
- fc3 cleanup

* Tue May 11 2004 Justin M. Forbes <64bit_fedora@comcast.net>
- bump to 4.4.0

* Tue Mar  9 2004 Tom "spot" Callaway <tcallawa@redhat.com>
- bump to 4.3.2
- install gtkhtml3-devel (whoops!)
- remove old xmms configure option

* Thu Feb  5 2004 Tom "spot" Callaway <tcallawa@redhat.com>
- bump to 4.3.0pre2
- Revert dash naming workaround

* Mon Feb  2 2004 Tom "spot" Callaway <tcallawa@redhat.com>
- bump to 4.3.0-pre1
- Workaround dash naming

* Wed Aug  6 2003 Tom "spot" Callaway <tcallawa@redhat.com>
- bump to 4.2.3
- Kylie Minogue does not approve.

* Wed Jun 11 2003 Tom "spot" Callaway <tcallawa@redhat.com>
- spec changes make sense once explained. :)
- bump to 4.2.0
- all old patches obsoleted
- added logjam desktop entry from Adam Konkle (modified slightly)

* Mon May 26 2003 Tom "spot" Callaway <tcallawa@redhat.com>
- added patches for a compilation fix and russian support
- modified spec. i still think its pointless, but whatever.

* Tue Apr 29 2003 Tom "spot" Callaway <tcallawa@redhat.com>
- bump to 4.1.2
- and i follow the tracks that lead me down, i'll never follow whats right

* Sat Apr 12 2003 Tom "spot" Callaway <tcallawa@redhat.com>
- bump to 4.1.1
- black velvet with that slow southern style

* Mon Apr  7 2003 Tom "spot" Callaway <tcallawa@redhat.com>
- bump to 4.1.0
- rebuilt against gtkspell 2.0.4

* Fri Dec  6 2002 Tom "spot" Callaway <tcallawa@redhat.com>
- bump to 4.0.1

* Tue Nov 19 2002 Tom "spot" Callaway <tcallawa@redhat.com>
- rebuilt against gtkspell 2.0.3
* Tue Oct 29 2002 Tom "spot" Callaway <tcallawa@redhat.com>
 - 4.0.0 official release
* Tue Oct 15 2002 Tom "spot" Callaway <tcallawa@redhat.com>
 - 3.1cvs20021015 release, removed patch0,1,3
* Sun May 26 2002 Tom "spot" Callaway <tcallawa@redhat.com>
 - 3.1cvs20020526 release, spec rewrite, lots of patching
* Mon Jan 07 2002 Tom "spot" Callaway <tcallawa@redhat.com>
 - 3.0.2 release, spec cleanups
* Mon Nov 12 2001 Tom "spot" Callaway <tcallawa@redhat.com>
 - 3.0.1 release, lots of new features/bugfixes.
* Fri Sep 07 2001 Tom "spot" Callaway <tcallawa@redhat.com>
 - Rebuild without ssl for compat. :~(
* Thu Sep 06 2001 Tom "spot" Callaway <tcallawa@redhat.com>
 - Removed curl-devel from the Prereq: to BuildRequires:
* Sat Jul 14 2001 Tom "spot" Callaway <tcallawa@redhat.com>
 - Point release, out of CVS finally
* Wed Jun 27 2001 Tom "spot" Callaway <tcallawa@redhat.com>
 - Compilation fixes. Window geometry saving patch (decklin). Autologin
 - Check for libcurl in configure. Fixed GtkSpell and position of metadata.
* Mon Jun 11 2001 Tom "spot" Callaway <tcallawa@redhat.com>
 - Timmay! Timmay! Gobbles! (Evan cleanups)
* Mon Jun 04 2001 Tom "spot" Callaway <tcallawa@redhat.com>
 - Client renamed to logjam, this adds some prereqs and needs more spec fixes.
* Tue May 15 2001 Tom "spot" Callaway <tcallawa@redhat.com>
 - Patch stripped. all livejournal.com urls removed in anticipation of rename
* Tue May 15 2001 Tom "spot" Callaway <tcallawa@redhat.com>
 - Many fixes, specific patch to fix proxy.
* Sun Mar 25 2001 Tom "spot" Callaway <tcallawa@redhat.com>
 - Added fix for James Manning, Web Links browser launch
* Tue Feb 13 2001 Tom "spot" Callaway <tcallawa@redhat.com>
 - Upgraded to add GNOME build option.
* Sun Oct 08 2000 Alexander Grfe <nachtfalke@retrogra.de>
 - inital version of the RPM.
